<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__capsense__filter_8h" kind="file" language="C++">
    <compoundname>cy_capsense_filter.h</compoundname>
    <includes local="yes">cy_syslib.h</includes>
    <includes local="yes" refid="cy__capsense__structure_8h">cy_capsense_structure.h</includes>
    <includes local="yes" refid="cy__capsense__common_8h">cy_capsense_common.h</includes>
    <includedby local="yes" refid="cy__capsense_8h">cy_capsense.h</includedby>
    <includedby local="yes" refid="cy__capsense__centroid_8c">cy_capsense_centroid.c</includedby>
    <includedby local="yes" refid="cy__capsense__control_8c">cy_capsense_control.c</includedby>
    <includedby local="yes" refid="cy__capsense__filter_8c">cy_capsense_filter.c</includedby>
    <includedby local="yes" refid="cy__capsense__processing_8c">cy_capsense_processing.c</includedby>
    <incdepgraph>
      <node id="49">
        <label>cy_capsense_filter.h</label>
        <link refid="cy__capsense__filter_8h" />
        <childnode refid="50" relation="include">
        </childnode>
      </node>
      <node id="50">
        <label>cy_syslib.h</label>
      </node>
    </incdepgraph>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga55216d9c145b2ab42d7cec23960fb31e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_InitializeAllBaselines</definition>
        <argsstring>(cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_InitializeAllBaselines</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes the baselines of all the sensors of all the widgets. </para>        </briefdescription>
        <detaileddescription>
<para>This function initializes baselines for all sensors and widgets in the project. It can also be used to re-initialize baselines at any time, however, note that all sensor data history information and sensor status shall be reset along with re-initialization of baseline.</para><para>Following functions to initialize sensor and widgets and filter history should be called after initializing baseline for proper operation of the CapSense middleware:<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga91d3ccdc21ed235f4e3b61a0a583c7a1">Cy_CapSense_InitializeAllStatuses()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga1fcb002d0216bb96ab818276954606e7">Cy_CapSense_InitializeAllFilters()</ref></para></listitem></itemizedlist>
</para><para>These functions are called by the CapSense_Enable() function, hence it is not required to use this function if above function is used.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="306" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.c" bodystart="298" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.h" line="45" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1gae217c3d40eff007bf28add89814f17d2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_InitializeWidgetBaseline</definition>
        <argsstring>(uint32_t widgetId, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_InitializeWidgetBaseline</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes the baselines of all the sensors in a specific widget. </para>        </briefdescription>
        <detaileddescription>
<para>This function initializes baselines for all sensors in a specific widget in the project. It can also be used to re-initialize baselines at any time, however, note that all sensor data history information and sensor status should be reset along with re-initialization of baseline.</para><para>The following functions to initialize sensor and widgets and filter history should be called after initializing baselines for proper operation of middleware.<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga0cd8087cced318d7a2ddd0aabe5d0b65">Cy_CapSense_InitializeWidgetStatus()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga101174469c4b6a2df8d44bddb0e33fcf">Cy_CapSense_InitializeWidgetFilter()</ref></para></listitem></itemizedlist>
</para><para>These functions are called by CapSense_Enable() function, hence it is not required to use this function is above function is used.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="347" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.c" bodystart="337" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.h" line="46" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga695fc72a3809224e52c8a0212835d4f7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_InitializeSensorBaseline</definition>
        <argsstring>(uint32_t widgetId, uint32_t sensorId, cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_InitializeSensorBaseline</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>sensorId</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes the baseline of a sensor in a widget specified by the input parameters. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>sensorId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the sensor within the widget. A macro for the sensor ID within a specified widget can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_SNS&lt;SENSOR_NUMBER&gt;_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="391" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.c" bodystart="370" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.h" line="47" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga1fcb002d0216bb96ab818276954606e7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_InitializeAllFilters</definition>
        <argsstring>(const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_InitializeAllFilters</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes (or re-initializes) all the firmware filter history, except the baseline. </para>        </briefdescription>
        <detaileddescription>
<para>Calling this function is accompanied by<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga91d3ccdc21ed235f4e3b61a0a583c7a1">Cy_CapSense_InitializeAllStatuses()</ref></para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga55216d9c145b2ab42d7cec23960fb31e">Cy_CapSense_InitializeAllBaselines()</ref></para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="436" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.c" bodystart="428" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.h" line="49" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga101174469c4b6a2df8d44bddb0e33fcf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_CapSense_InitializeWidgetFilter</definition>
        <argsstring>(uint32_t widgetId, const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_InitializeWidgetFilter</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Initializes (or re-initializes) the raw count filter history of all the sensors in a widget specified by the input parameter. </para>        </briefdescription>
        <detaileddescription>
<para>Calling this function is accompanied by<itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1ga0cd8087cced318d7a2ddd0aabe5d0b65">Cy_CapSense_InitializeWidgetStatus()</ref>.</para></listitem><listitem><para><ref kindref="member" refid="group__group__capsense__low__level_1gae217c3d40eff007bf28add89814f17d2">Cy_CapSense_InitializeWidgetBaseline()</ref>.</para></listitem></itemizedlist>
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="534" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.c" bodystart="458" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.h" line="50" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga76d2e232d2e5247954a15a45de62d235" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref></type>
        <definition>cy_capsense_status_t Cy_CapSense_UpdateAllBaselines</definition>
        <argsstring>(const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_UpdateAllBaselines</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Updates the baseline for all the sensors in all the widgets. </para>        </briefdescription>
        <detaileddescription>
<para>Baselines must be updated after sensor scan to ignore low frequency changes in the sensor data caused by environment changes such as temperature from sensor status decision.</para><para>This function ignores the widget enable bit in the widget status register. Calling this function multiple times without a new sensor scan leads to unexpected behavior and should be avoided.</para><para>This function is called by <ref kindref="member" refid="group__group__capsense__high__level_1ga2a185db228d5cae975fbc92bd3bc6367">Cy_CapSense_ProcessAllWidgets()</ref> and <ref kindref="member" refid="group__group__capsense__high__level_1ga52874ea98333723ec92aef1bb4791a7d">Cy_CapSense_ProcessWidget()</ref>, hence the application program need not use this function if any of the above functions is already used. This function can be used for custom application implementation.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the update baseline operation of all the widgets:<itemizedlist>
<listitem><para>CY_CAPSENSE_STATUS_SUCCESS - The operation is successfully completed.</para></listitem><listitem><para>CY_CAPSENSE_STATUS_BAD_DATA - The baseline processing failed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="81" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.c" bodystart="69" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.h" line="52" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga53420b198a6de128b82b3edb31f250c6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref></type>
        <definition>cy_capsense_status_t Cy_CapSense_UpdateWidgetBaseline</definition>
        <argsstring>(uint32_t widgetId, const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_UpdateWidgetBaseline</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Updates the baselines for all the sensors in a widget specified by the input parameter. </para>        </briefdescription>
        <detaileddescription>
<para>This function performs exactly the same tasks as <ref kindref="member" refid="group__group__capsense__low__level_1ga76d2e232d2e5247954a15a45de62d235">Cy_CapSense_UpdateAllBaselines()</ref> but only for a specified widget.</para><para>Calling this function multiple times without a new sensor scan leads to unexpected behavior and should be avoided. The application program need not use this function if the <ref kindref="member" refid="group__group__capsense__low__level_1ga76d2e232d2e5247954a15a45de62d235">Cy_CapSense_UpdateAllBaselines()</ref>, <ref kindref="member" refid="group__group__capsense__high__level_1ga2a185db228d5cae975fbc92bd3bc6367">Cy_CapSense_ProcessAllWidgets()</ref> or <ref kindref="member" refid="group__group__capsense__high__level_1ga52874ea98333723ec92aef1bb4791a7d">Cy_CapSense_ProcessWidget()</ref> functions are already used.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the specified widget update baseline operation:<itemizedlist>
<listitem><para>CY_CAPSENSE_STATUS_SUCCESS - The operation is successfully completed.</para></listitem><listitem><para>CY_CAPSENSE_STATUS_BAD_DATA - The baseline processing failed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="126" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.c" bodystart="113" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.h" line="53" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__capsense__low__level_1ga4d2ceb23fa0e3731878ad777f39474d2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref></type>
        <definition>cy_capsense_status_t Cy_CapSense_UpdateSensorBaseline</definition>
        <argsstring>(uint32_t widgetId, uint32_t sensorId, const cy_stc_capsense_context_t *context)</argsstring>
        <name>Cy_CapSense_UpdateSensorBaseline</name>
        <param>
          <type>uint32_t</type>
          <declname>widgetId</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>sensorId</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref> *</type>
          <declname>context</declname>
        </param>
        <briefdescription>
<para>Updates the baseline for a sensor in a widget specified by the input parameters. </para>        </briefdescription>
        <detaileddescription>
<para>This function performs exactly the same tasks as <ref kindref="member" refid="group__group__capsense__low__level_1ga76d2e232d2e5247954a15a45de62d235">Cy_CapSense_UpdateAllBaselines()</ref> and <ref kindref="member" refid="group__group__capsense__low__level_1ga53420b198a6de128b82b3edb31f250c6">Cy_CapSense_UpdateWidgetBaseline()</ref> but only for a specified sensor.</para><para>Calling this function multiple times without a new sensor scan leads to unexpected behavior and should be avoided. The application need not use this function if the Cy_CapSense_UpdateWidgetBaseline (), Cy_CapSense_UpdateAllBaselines (), <ref kindref="member" refid="group__group__capsense__high__level_1ga2a185db228d5cae975fbc92bd3bc6367">Cy_CapSense_ProcessAllWidgets()</ref>, or <ref kindref="member" refid="group__group__capsense__high__level_1ga52874ea98333723ec92aef1bb4791a7d">Cy_CapSense_ProcessWidget()</ref> functions are already used.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>widgetId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the widget. A macro for the widget ID can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_WDGT_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>sensorId</parametername>
</parameternamelist>
<parameterdescription>
<para>Specifies the ID number of the sensor within the widget. A macro for the sensor ID within a specified widget can be found in the cycfg_capsense.h file defined as CY_CAPSENSE_&lt;WIDGET_NAME&gt;_SNS&lt;SENSOR_NUMBER&gt;_ID.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>context</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CapSense context structure <ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns the status of the specified sensor update baseline operation:<itemizedlist>
<listitem><para>CY_CAPSENSE_STATUS_SUCCESS - The operation is successfully completed.</para></listitem><listitem><para>CY_CAPSENSE_STATUS_BAD_DATA - The baseline processing failed. </para></listitem></itemizedlist>
</para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="176" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.c" bodystart="164" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.h" line="54" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file contains the definitions for all the filters implementation. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>3.0</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2018-2020, Cypress Semiconductor Corporation. All rights reserved. You may use this file only in accordance with the license, terms, conditions, disclaimers, and limitations in the end user license agreement accompanying the software package with which this file was provided. </para></simplesect>
</para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="17"><highlight class="preprocessor">#if<sp />!defined(CY_CAPSENSE_FILTER_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CAPSENSE_FILTER_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_structure.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_structure.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_capsense_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2)<sp />||<sp />defined(CY_IP_M0S8MSCV3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="34"><highlight class="comment">*<sp />Function<sp />Prototypes</highlight></codeline>
<codeline lineno="35"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="38"><highlight class="comment">*<sp />LOW<sp />LEVEL<sp />FUNCTIONS</highlight></codeline>
<codeline lineno="39"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="43"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga55216d9c145b2ab42d7cec23960fb31e">Cy_CapSense_InitializeAllBaselines</ref>(<ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1gae217c3d40eff007bf28add89814f17d2">Cy_CapSense_InitializeWidgetBaseline</ref>(uint32_t<sp />widgetId,<sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga695fc72a3809224e52c8a0212835d4f7">Cy_CapSense_InitializeSensorBaseline</ref>(uint32_t<sp />widgetId,<sp />uint32_t<sp />sensorId,<sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="48"><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga1fcb002d0216bb96ab818276954606e7">Cy_CapSense_InitializeAllFilters</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga101174469c4b6a2df8d44bddb0e33fcf">Cy_CapSense_InitializeWidgetFilter</ref>(uint32_t<sp />widgetId,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga76d2e232d2e5247954a15a45de62d235">Cy_CapSense_UpdateAllBaselines</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga53420b198a6de128b82b3edb31f250c6">Cy_CapSense_UpdateWidgetBaseline</ref>(uint32_t<sp />widgetId,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref><sp /><ref kindref="member" refid="group__group__capsense__low__level_1ga4d2ceb23fa0e3731878ad777f39474d2">Cy_CapSense_UpdateSensorBaseline</ref>(uint32_t<sp />widgetId,<sp />uint32_t<sp />sensorId,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="55"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="60"><highlight class="comment">*<sp />Function<sp />Prototypes<sp />-<sp />Internal<sp />functions</highlight></codeline>
<codeline lineno="61"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="comment">/******************************************************************************/</highlight></codeline>
<codeline lineno="66"><highlight class="comment">/******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_InitializeIIR(</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,<sp /></highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,<sp /></highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_RunIIR(</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,<sp /></highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,<sp /></highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_InitializeMedian(</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,<sp /></highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,<sp /></highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_RunMedian(</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,<sp /></highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,<sp /></highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_InitializeAverage(</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,<sp /></highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,<sp /></highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_RunAverage(</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />widgetId,<sp /></highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />sensorId,<sp /></highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_FtInitializeBaseline(</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext);</highlight></codeline>
<codeline lineno="97"><highlight class="normal"><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref><sp />Cy_CapSense_FtUpdateBaseline(</highlight></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</ref><sp />*<sp />ptrWdContext,</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsBslnInv,</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</ref><sp />*<sp />context);</highlight></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal">uint32_t<sp />Cy_CapSense_FtMedian(uint32_t<sp />x1,<sp />uint32_t<sp />x2,<sp />uint32_t<sp />x3);</highlight></codeline>
<codeline lineno="104"><highlight class="normal">uint32_t<sp />Cy_CapSense_FtIIR1stOrder(uint32_t<sp />input,<sp />uint32_t<sp />prevOutput,<sp />uint32_t<sp />n);</highlight></codeline>
<codeline lineno="105"><highlight class="normal">uint32_t<sp />Cy_CapSense_FtJitter(uint32_t<sp />input,<sp />uint32_t<sp />prevOutput);</highlight></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_FtRunEnabledFiltersInternal(</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsRawHistory,</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*<sp />ptrSnsRawHistoryLow);</highlight></codeline>
<codeline lineno="112"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_InitializeIIRInternal(</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsRawHistory,</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*<sp />ptrSnsRawHistoryLow);</highlight></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_RunIIRInternal(</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsRawHistory,</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />*<sp />ptrSnsRawHistoryLow);</highlight></codeline>
<codeline lineno="122"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_InitializeMedianInternal(</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsRawHistory);</highlight></codeline>
<codeline lineno="126"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_RunMedianInternal(</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsRawHistory);</highlight></codeline>
<codeline lineno="130"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_InitializeAverageInternal(</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsRawHistory);</highlight></codeline>
<codeline lineno="134"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Cy_CapSense_RunAverageInternal(</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</ref><sp />*<sp />ptrWdConfig,</highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</ref><sp />*<sp />ptrSnsContext,</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint16_t<sp />*<sp />ptrSnsRawHistory);</highlight></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="142"><highlight class="normal">}</highlight></codeline>
<codeline lineno="143"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal" /></codeline>
<codeline lineno="145"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />(defined(CY_IP_MXCSDV2)<sp />||<sp />defined(CY_IP_M0S8CSDV2)<sp />||<sp />defined(CY_IP_M0S8MSCV3))<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_CAPSENSE_FILTER_H<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_filter.h" />
  </compounddef>
</doxygen>